/******************************************************************************
 SCI Template Game
 By Brian Provinciano
 ******************************************************************************
 rm001.sc
 Contains the first room of your game. 
 ******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 1)
/******************************************************************************/
(use "main")
(use "controls")
(use "cycle")
(use "game")
(use "feature")
(use "obj")
(use "inv")
(use "door")
(use "jump")
(use "dpath")
(use "textview")
(local
   animate = 0	
   x
)
/******************************************************************************/
(instance public rm001 of Rm
	(properties
		picture scriptNumber
		// Set up the rooms to go to/come from here
		north 0
		east 0
		south 0
		west 0
	)
	(method (init)
		// same in every script, starts things up
  		(super:init())
  		(self:setScript(RoomScript))
  		
  		// Check which room ego came from and position it
  		(switch(gPreviousRoomNumber)
            /******************************************************
             * Put the cases here for the rooms ego can come from *
             ******************************************************/ /*
            (case north
  				(send gEgo:
  					posn(210 110)
  					loop(2)
  				)
  			)*/
            // Set up ego's position if it hasn't come from any room
  			(default
  				(send gEgo:
  					posn(150 130)
  					loop(1)
  				)
  			)
  		)
		
		// Set up the ego
		SetUpEgo()		
		(send gEgo:init())
		
		Display("Commands:  hello (to show) goodbye (to hide)" dsCOORD 20 0 dsCOLOUR clBLACK dsBACKGROUND clTRANSPARENT)

        /****************************************
         * Set up the room's music to play here *
         ****************************************/ /*
		(send gTheMusic:
			prevSignal(0)
			stop()
			number(scriptNumber)
			loop(-1)
			play()
		)*/

        /**************************************************
         * Add the rest of your initialization stuff here *
         **************************************************/
  )
)
/******************************************************************************/
(instance RoomScript of Script
	(properties)
	

	(method (doit)   
       (super:doit)
       
       // currently this animation process causes pretty severe 'blinking' of the animated image
       (if (== animate 1)
       	  (ego1:hide)
       	  = x (ego1:xPos)
       	  (ego1:xPos(++x))
       	  (ego1:show)
	   )
    ) 


	(method (handleEvent pEvent)

        (super:handleEvent(pEvent))

        /*****************************************
         * Handle the possible said phrases here *
         *****************************************/
        (if(Said('hello'))
            (ego1:show)        	
            (ego2:show) 
            (ego3:show) 
            (ego4:show) 
            (ego5:show) 
            (ego6:show) 
            (ego7:show) 
            (ego8:show) 
            (ego9:show)        	
            (ego10:show) 
            (ego11:show) 
            (ego12:show)        
            //= animate 1     
        )
        
        (if(Said('goodbye'))
         	(ego1:hide)
         	(ego2:hide)
         	(ego3:hide)
         	(ego4:hide)
         	(ego5:hide)
         	(ego6:hide)
         	(ego7:hide)
         	(ego8:hide)
         	(ego9:hide)
         	(ego10:hide)
         	(ego11:hide)
         	(ego12:hide)
		)
 	)
)
/******************************************************************************/
(instance ego1 of TextView
	(properties
		xPos 40
		yPos 40
		fontNum 10
		
		silhouetteChar "H" 
		silhouetteColor clBLACK
		
		frame1char "A"  frame1color clBLACK	
		frame2char "B"  frame2color clSILVER
		frame3char "C"  frame3color clGREY	
		frame4char "D"  frame4color clRED
		frame5char "E"	frame5color clMAROON
		frame6char "F"	frame6color clNAVY
		frame7char "G"  frame7color clBLUE
	)
)
(instance ego2 of TextView
	(properties
		xPos 100
		yPos 120
		fontNum 10
		
		silhouetteChar "H" 
		silhouetteColor clBLACK
				
		frame1char "A"  frame1color clBLACK	
		frame2char "B"  frame2color clSILVER
		frame3char "C"  frame3color clGREY	
		frame4char "D"  frame4color clRED
		frame5char "E"	frame5color clMAROON
		frame6char "F"	frame6color clNAVY
		frame7char "G"  frame7color clBLUE
	)
)
(instance ego3 of TextView
	(properties
		xPos 10
		yPos 90
		fontNum 10
		
		frame1char "A"  frame1color clBLACK	
		frame2char "B"  frame2color clSILVER
		frame3char "C"  frame3color clGREY	
		frame4char "D"  frame4color clRED
		frame5char "E"	frame5color clMAROON
		frame6char "F"	frame6color clNAVY
		frame7char "G"  frame7color clBLUE
	)
)
(instance ego4 of TextView
	(properties
		xPos 300
		yPos 55
		fontNum 10
		
		silhouetteChar "H" 
		silhouetteColor clBLACK
			
		frame1char "A"  frame1color clBLACK	
		frame2char "B"  frame2color clSILVER
		frame3char "C"  frame3color clGREY	
		frame4char "D"  frame4color clRED
		frame5char "E"	frame5color clMAROON
		frame6char "F"	frame6color clNAVY
		frame7char "G"  frame7color clBLUE
	)
)
(instance ego5 of TextView
	(properties
		xPos 270
		yPos 120
		fontNum 10
		
		silhouetteChar "H" 
		silhouetteColor clBLACK
		
		frame1char "A"  frame1color clBLACK	
		frame2char "B"  frame2color clSILVER
		frame3char "C"  frame3color clGREY	
		frame4char "D"  frame4color clRED
		frame5char "E"	frame5color clMAROON
		frame6char "F"	frame6color clNAVY
		frame7char "G"  frame7color clBLUE
	)
)
(instance ego6 of TextView
	(properties
		xPos 160
		yPos 70
		fontNum 10
		
		silhouetteChar "H" 
		silhouetteColor clBLACK
		
		frame1char "A"  frame1color clBLACK	
		frame2char "B"  frame2color clSILVER
		frame3char "C"  frame3color clGREY	
		frame4char "D"  frame4color clRED
		frame5char "E"	frame5color clMAROON
		frame6char "F"	frame6color clNAVY
		frame7char "G"  frame7color clBLUE
	)
)
(instance ego7 of TextView
	(properties
		xPos 100
		yPos 10
		fontNum 10
		
		silhouetteChar "H" 
		silhouetteColor clBLACK
		
		frame1char "A"  frame1color clBLACK	
		frame2char "B"  frame2color clSILVER
		frame3char "C"  frame3color clGREY	
		frame4char "D"  frame4color clRED
		frame5char "E"	frame5color clMAROON
		frame6char "F"	frame6color clNAVY
		frame7char "G"  frame7color clBLUE
	)
)
(instance ego8 of TextView
	(properties
		xPos 230
		yPos 99
		fontNum 10
		
		silhouetteChar "H" 
		silhouetteColor clBLACK
		
		frame1char "A"  frame1color clBLACK	
		frame2char "B"  frame2color clSILVER
		frame3char "C"  frame3color clGREY	
		frame4char "D"  frame4color clRED
		frame5char "E"	frame5color clMAROON
		frame6char "F"	frame6color clNAVY
		frame7char "G"  frame7color clBLUE
	)
)

(instance ego9 of TextView
	(properties
		xPos 30
		yPos 175
		fontNum 10
		
		silhouetteChar "H" 
		silhouetteColor clBLACK
		
		frame1char "A"  frame1color clBLACK	
		frame2char "B"  frame2color clSILVER
		frame3char "C"  frame3color clGREY	
		frame4char "D"  frame4color clRED
		frame5char "E"	frame5color clMAROON
		frame6char "F"	frame6color clNAVY
		frame7char "G"  frame7color clBLUE
	)
)
(instance ego10 of TextView
	(properties
		xPos 180
		yPos 160
		fontNum 10
		
		silhouetteChar "H" 
		silhouetteColor clBLACK
		
		frame1char "A"  frame1color clBLACK	
		frame2char "B"  frame2color clSILVER
		frame3char "C"  frame3color clGREY	
		frame4char "D"  frame4color clRED
		frame5char "E"	frame5color clMAROON
		frame6char "F"	frame6color clNAVY
		frame7char "G"  frame7color clBLUE
	)
)
(instance ego11 of TextView
	(properties
		xPos 10
		yPos 22
		fontNum 10
		
		silhouetteChar "H" 
		silhouetteColor clBLACK
		
		frame1char "A"  frame1color clBLACK	
		frame2char "B"  frame2color clSILVER
		frame3char "C"  frame3color clGREY	
		frame4char "D"  frame4color clRED
		frame5char "E"	frame5color clMAROON
		frame6char "F"	frame6color clNAVY
		frame7char "G"  frame7color clBLUE
	)
)
(instance ego12 of TextView
	(properties
		xPos 280
		yPos 20
		fontNum 10
		
		silhouetteChar "H" 
		silhouetteColor clBLACK
		
		frame1char "A"  frame1color clBLACK	
		frame2char "B"  frame2color clSILVER
		frame3char "C"  frame3color clGREY	
		frame4char "D"  frame4color clRED
		frame5char "E"	frame5color clMAROON
		frame6char "F"	frame6color clNAVY
		frame7char "G"  frame7color clBLUE
	)
)